# ======================== Elasticsearch Configuration =========================
#
# NOTE: Elasticsearch comes with reasonable defaults for most settings.
#       Before you set out to tweak and tune the configuration, make sure you
#       understand what are you trying to accomplish and the consequences.
#
# The primary way of configuring a node is via this file. This template lists
# the most important settings you may want to configure for a production cluster.
#
# Please consult the documentation for further information on configuration options:
# https://www.elastic.co/guide/en/elasticsearch/reference/index.html
#
# ---------------------------------- Cluster -----------------------------------
#
# Use a descriptive name for your cluster:
#
{% if elastic_cluster is defined %}
cluster.name: "{{ elastic_cluster }}"
{% else %}
cluster.name: "siemple-cluster"
{% endif %}
#
# ------------------------------------ Node ------------------------------------
#
# Use a descriptive name for the node:
#
{% if elastic_node is defined %}
node.name: "{{ elastic_node }}"
{% else %}
node.name: "siemple"
{% endif %}
#
# Add custom attributes to the node:
#
#node.attr.rack: r1
#
# Ensure that the cluster is a single node
#
discovery.type: "single-node"
# ----------------------------------- Paths ------------------------------------
#
# Path to directory where to store the data (separate multiple locations by comma):
#
{% if elastic_data_path is defined %}
path.data: "{{ elastic_data_path }}"
{% else %}
path.data: "/var/lib/elasticsearch"
{% endif %}
#
# Path to log files:
#
{% if elastic_log_path is defined %}
path.logs: "{{ elastic_log_path }}"
{% else %}
path.logs: "/var/log/elasticsearch"
{% endif %}
#
# ----------------------------------- Memory -----------------------------------
#
# Lock the memory on startup:
#
{% if elastic_memory_lock is defined %}
bootstrap.memory_lock: "{{ elastic_memory_lock }}"
{% else %}
bootstrap.memory_lock: "false"
{% endif %}
#
# Make sure that the heap size is set to about half the memory available
# on the system and that the owner of the process is allowed to use this
# limit.
#
# Elasticsearch performs poorly when the system is swapping the memory.
#
# ---------------------------------- Network -----------------------------------
#
# Set the bind address to a specific IP (IPv4 or IPv6):
#
{% if elastic_host is defined %}
network.host: "{{ elastic_host }}"
{% else %}
network.host: "0.0.0.0"
{% endif %}
#
# Set a custom port for HTTP:
#
{% if elastic_port is defined %}
http.port: "{{ elastic_port }}"
{% else %}
http.port: "9200"
{% endif %}
#
# For more information, consult the network module documentation.
#
# --------------------------------- Discovery ----------------------------------
#
# Pass an initial list of hosts to perform discovery when new node is started:
# The default list of hosts is ["127.0.0.1", "[::1]"]
#
#discovery.zen.ping.unicast.hosts: ["host1", "host2"]
#
# Prevent the "split brain" by configuring the majority of nodes (total number of master-eligible nodes / 2 + 1):
#
#discovery.zen.minimum_master_nodes: 1
#
# For more information, consult the zen discovery module documentation.
#
# ---------------------------------- Gateway -----------------------------------
#
# Block initial recovery after a full cluster restart until N nodes are started:
#
#gateway.recover_after_nodes: 3
#
# For more information, consult the gateway module documentation.
#
# ---------------------------------- Various -----------------------------------
#
# Require explicit names when deleting indices:
#
#action.destructive_requires_name: true
